'From Squeak3.9alpha of 4 July 2005 [latest update: #7032] on 15 June 2006 at 2:42:50 pm'!
Object subclass: #PostOffice
	instanceVariableNames: 'queue counters serving'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PostOffice'!
TestCase subclass: #PostOfficeTest
	instanceVariableNames: 'postoffice'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PostOffice'!

!PostOffice methodsFor: 'evaluating' stamp: 'on 6/15/2006 13:54'!
enter: aCustomer 
	queue addLast: aCustomer.! !

!PostOffice methodsFor: 'evaluating' stamp: 'on 6/15/2006 14:38'!
serve
	| customer |
	customer := queue removeFirst.
	self serve: customer.
	self switchServing.
	^ customer! !

!PostOffice methodsFor: 'evaluating' stamp: 'on 6/15/2006 14:42'!
serve: customer
	Transcript
		show: 'Counter ' , serving asString , ' serving ' , customer;
		cr! !

!PostOffice methodsFor: 'evaluating' stamp: 'on 6/15/2006 13:53'!
switchServing
	serving := serving \\ counters + 1.! !

!PostOffice methodsFor: 'initialize-release' stamp: 'on 6/15/2006 14:39'!
defaultCounters
	^ 2! !

!PostOffice methodsFor: 'initialize-release' stamp: 'on 6/15/2006 14:39'!
initialize
	queue := OrderedCollection new.
	counters := self defaultCounters.
	serving := 1.! !

!PostOffice methodsFor: 'testing' stamp: 'on 6/15/2006 13:55'!
waiting
	^ queue size! !


!PostOfficeTest methodsFor: 'running' stamp: 'on 6/15/2006 13:48'!
setUp
	postoffice := PostOffice new.! !

!PostOfficeTest methodsFor: 'running' stamp: 'on 6/15/2006 14:10'!
testPostOffice
	postoffice enter: 'jack'.
	self assert: postoffice waiting = 1.
	postoffice enter: 'jane'.
	self assert: postoffice waiting = 2.
	postoffice enter: 'jill'.
	self assert: postoffice waiting = 3.
	self assert: postoffice serve = 'jack'.
	self assert: postoffice waiting = 2.
	self assert: postoffice serve = 'jane'.
	self assert: postoffice waiting = 1.
	self assert: postoffice serve = 'jill'.
	self assert: postoffice waiting = 0.! !

