/**
 * Which takes precedence?
 * Default values or constructor initialization?
 * Superclass or subclass initialization?
 **/
class Puzzle4 extends AbstractPuzzle {

	/**
	 * Evaluate: (new Puzzle4()).run();
	 **/
	void run() {
		super.run();
		
		part1();
		part2();
	}

	class C {
		int i = 100, j = 100, k = init(), l = 0;
		C() { i = 0; k = 0; }
		int init() { j = 0; l = 100; return 100; }
	}
		
	void part1() {
		// What gets printed? 0 or 100?

		C c = new C();
		println("C.i = " + c.i);
		println("C.j = " + c.j);
		println("C.k = " + c.k);
		println("C.l = " + c.l);
	}

	abstract class A {
		int j = 100;
		A() { init(100); j = 200; }
		abstract void init(int value);
	}

 	class B extends A {
		int i = 0, j = 0 ;
		B() { super(); }
		void init(int value) { i = value; }
	}

	void part2() {
		// What gets printed? 0, 100 or 200?

		B b = new B();
		println("B.i = " + b.i);
		println("B.j = " + b.j);
	}	
}
