package p2.tictactoe;

import junit.framework.TestCase;

/**
 * Test cases for TicTacToe.
 * @author $Author: oscar $
 * @version $Id: TicTacToeTest.java,v 1.1 2005/02/20 18:43:04 oscar Exp $
 */
public class TicTacToeTest extends TestCase {
	private TicTacToe game;

	public static void main(String[] args) {
		junit.awtui.TestRunner.run(TicTacToeTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		game = new TicTacToe();
	}
	
	/**
	 * Test the getters and setters.
	 */
	public void testState() {
		assertTrue(game.get('a','1') == ' ');
		assertTrue(game.get('c','3') == ' ');
		game.set('c','3','X');
		assertTrue(game.get('c','3') == 'X');
		game.set('c','3',' ');
		assertTrue(game.get('c','3') == ' ');
		assertTrue(!game.inRange('d','4'));
	}

}
