package p2.tictactoe;
import java.io.IOException;

/**
 * Driver for TicTacToe.
 * @author $Author: oscar $
 * @version $Id: GameDriver.java,v 1.2 2005/02/20 22:43:33 oscar Exp $
 */

public class GameDriver {
	public static void main(String args[]) {
		Player X = new Player('X');
		Player O = new Player('O');
		TicTacToe game = new TicTacToe(X, O);
		playGame(game);
	}

	public static void playGame(TicTacToe game) {
		try {
			do {
				System.out.print(game);
				game.update();
			} while(game.notOver());
			System.out.print(game);
			System.out.println("game over!");
		} catch (IOException err) {
			System.out.println("game terminated!");
		}
	}
}