package p2.tictactoe;

import java.util.Observer;

/**
 * Interface for TicTacToe and Gomoku.
 * @author $Author: oscar $
 * @version $Id$
 */
public interface BoardGame {
	public int get_cols();
	public int get_rows();
	public void move(int col, int row, Player p);
	public Player currentPlayer();
	public Player winner();
	public Player get(int col, int row);
	public boolean notOver();
	public int squaresLeft();
	public boolean inRange(int col, int row);
	public void addObserver(Observer o);
}

