package p2.tictactoe;

/**
 * Bundles together information about a change of state
 * in a BoardGame.  Sent by AbstractBoardGame to its Observers.
 *
 * @author $Author: oscar $
 * @version $Id: Move.java,v 1.1 2005/02/23 22:11:20 oscar Exp $
 */
public class Move {
	public final int col;
	public final int row;
	public final Player player;
	public Move(int col, int row, Player player) {
		this.col = col;
		this.row = row;
		this.player = player;
	}
	public String toString() {
		return "Move(" + col + "," + row + "," + player + ")";
	}
}