package p2.tictactoe.gui;

import p2.tictactoe.InactivePlayer;

/**
 * Manage interaction with user.  An Appletplayer attempts
 * to make a move it is the current player and when a PlaceListener
 * detects a mouse click.
 *
 * @author $Author: oscar $
 * @version $Id: GUIplayer.java,v 1.1 2005/02/23 22:11:21 oscar Exp $
 */
public class GUIplayer extends InactivePlayer {

	public GUIplayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 */
	public void move(int col, int row) {
		game_.move(col, row, this);
	}
}
