package p2.tictactoe.gui;

import p2.tictactoe.InactivePlayer;
import p2.tictactoe.InvalidMoveException;

/**
 * Manage interaction with user.  An GUIplayer attempts
 * to make a move when it is the current player
 * and when a PlaceListener detects a mouse click.
 *
 * @author $Author: oscar $
 * @version $Id: GUIplayer.java,v 1.3 2005/02/26 17:23:23 oscar Exp $
 */
public class GUIplayer extends InactivePlayer {

	public GUIplayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 */
	public void move(int col, int row)
		throws InvalidMoveException {
		game_.move(col, row, this);
	}
}
