package p2.tictactoe;

import p2.tictactoe.gui.GUIplayer;

/**
 * @author $Author: oscar $
 * @version $Id: GameFactory.java,v 1.1 2005/03/02 14:32:34 oscar Exp $
 */
public abstract class GameFactory {
	protected BoardGame game_ = null;

	public BoardGame getGame() {
		BoardGame game;
		if (game_ == null) {
			Player X = new GUIplayer('X');
			Player O = new GUIplayer('O');
			game_ = makeGame(X,O);
			game = game_;
		} else {
			game = game_;
			game_ = null;
		}
		return game;
	}
	
	protected abstract BoardGame makeGame(Player X, Player O);
}
