package p2.tictactoe.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface for the GameServer
 * @author $Author: oscar $
 * @version $Id: RemoteGameServer.java,v 1.1 2005/03/03 14:18:13 oscar Exp $
 */
public interface RemoteGameServer extends Remote {
	/**
	 * Returns RemoteGame instance for a remote client.
	 * If a game already exists, the client joins the
	 * existing game.  Else a new game is made.
	 **/
	public RemoteGame joinTicTacToe() throws RemoteException;
	public RemoteGame joinGomoku() throws RemoteException;
}
