package p2.tictactoe.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

import p2.tictactoe.Move;


/**
 * Interface to allow remote clients to be notified
 * of updates from the game.  This is the only interface
 * the client exports to the server.
 * @author $Author: oscar $
 * @version $Id: RemoteObserver.java,v 1.1 2005/03/03 14:18:13 oscar Exp $
 */
public interface RemoteObserver extends Remote {
	public void update(Move move) throws RemoteException;
}
