package p2.junit.v2;
import java.util.Hashtable;

class MoneyBag {
	private Hashtable fMonies = new Hashtable(5);

	MoneyBag(Money m1, Money m2) {
		appendMoney(m1);
		appendMoney(m2);
	}

	MoneyBag(Money bag[]) {
		for (int i= 0; i < bag.length; i++)
			appendMoney(bag[i]);
	}

	private void appendMoney(Money aMoney) {
		Money m = (Money) fMonies.get(aMoney.currency());
		if (m != null)
			m = m.add(aMoney);
		else
			m = aMoney;
		fMonies.put(aMoney.currency(), m);
	}
}
