/**
 * More overloading.
 * How does java consider the declared type
 * and the run-time type of the receiver when
 * deciding which method to invoke?
 **/
class Puzzle3 extends AbstractPuzzle {

	class A { 
		void m(A a) { println("A.m(A)"); }
	}
	
	class B extends A {
		void m(B b) { println("B.m(B)"); }
	}

	/**
	 * Evaluate: (new Puzzle3()).run();
	 **/
	void run() {
		super.run();

		B b = new B();
		A a = b;
		// In which cases will B.m(B) be called?
		a.m(a);
		a.m(b);
		b.m(a);
		b.m(b);
	}	
}
