package p2.tictactoe;
import java.io.*;

/**
 * Interface for TicTacToe and Gomoku.
 * @author $Author: oscar $
 * @version $Id$
 */
public interface BoardGame {
	public void update() throws IOException;
	public void move(String coord, char mark);
	public Player currentPlayer();
	public Player winner();
	public boolean notOver();
	public int squaresLeft();
	public boolean inRange(int col, int row);
	public char get(int col, int row);
}

