package p2.tictactoe;

/**
 * A PassivePlayer attempts to make a move when its
 * move() method is called by some Driver.
 * Used by the GameServer
 * @author $Author: oscar $
 * @version $Id: PassivePlayer.java,v 1.1 2005/03/03 14:18:13 oscar Exp $
 **/
public class PassivePlayer extends InactivePlayer {

	public PassivePlayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 **/
	public void move(int col, int row) throws InvalidMoveException {
		game_.move(col, row, this);
	}
}
