package p2.junit.v4;

class Money implements IMoney {
	private int fAmount;
	private String fCurrency;
	public Money(int amount, String currency) {
		fAmount = amount;
		fCurrency = currency;
	}

	public int amount() {
		return fAmount;
	}

	public String currency() {
		return fCurrency;
	}

	public IMoney add(IMoney m) {
		return m.addMoney(this);
	}

	public IMoney addMoney(Money m) {
		if (m.currency().equals(currency()) )
			return new Money(amount()+m.amount(), currency());
		return new MoneyBag(this, m);
	}

	public IMoney addMoneyBag(MoneyBag s) {
		return s.addMoney(this);
	}

	public boolean equals(Object anObject) {
		if (anObject instanceof Money) {
			Money aMoney = (Money)anObject;
			return aMoney.currency().equals(currency())
							 && amount() == aMoney.amount();
		} else {
			return false;
		}
	}
}